import {TItem} from '../../types/TItem';
import {IAppBus} from '../bus/IAppBus';

export interface IItem {
    template:HTMLElement;
    id:string;
    setAppBus(bus:IAppBus):void;
    eventsListen():void;
    load(data:TItem):void;
    rename(name:string):void;
    createSelf(): IItem;
}